<?php

declare(strict_types=1);

namespace PpPhp\Core\Discovery\Providers;

final class PackageDiscoveryProvider extends AbstractManifestDiscoveryProvider
{
    public function id(): string
    {
        return 'packages';
    }

    public function label(): string
    {
        return 'Packages';
    }

    protected function relativeRoot(): string
    {
        return 'packages';
    }

    protected function manifestName(): string
    {
        return 'manifest.json';
    }

    protected function type(): string
    {
        return 'package';
    }
}
